"""
@author: luojunhui
"""


class ServerConst:
    """
    服务常量
    """
    # 老服务内外公网 ip
    OLD_SERVER_PUBLIC_IP = "47.99.132.47"
    OLD_SERVER_INNER_IP = "192.168.205.85"

    # 新服务内外公网 ip
    NEW_SERVER_PUBLIC_IP = "47.98.154.124"
    NEW_SERVER_INNER_IP = "192.168.0.142"

    # 服务端口
    PORT = "8111"

    # RESPONSE 状态
    REQUEST_INIT_STATUS = 0
    REQUEST_SUCCESS_STATUS = 1
    REQUEST_PROCESSING_TASK = 101

    # 任务最大处理次数
    TASK_MAX_PROCESS_TIMES = 3

    # 默认返回小程序appid, 设置为票圈视频的appid
    DEFAULT_APP_ID = 25

    # 业务类型const
    # daily发布文章
    DAILY_CODE = 1
    DAILY_PREFIX = 'longArticles'

    # 投流账号发布文章
    TOULIU_CODE = 2
    TOULIU_PREFIX = 'touliu_tencentGzhArticle'

    # 企微发布文章
    WECOM_CODE = 3
    WECOM_PREFIX = 'WeCom'

    # 代投发布文章
    DAITOU_CODE = 4
    DAITOU_PREFIX = 'DaiTou'

    # 公众号代运营合作
    COOPERATION_CODE = 5
    COOPERATION_PREFIX = 'gzhhzdx'

    #  任务状态码
    TASK_INIT_CODE = 0
    TASK_KIMI_FINISHED_CODE = 1
    TASK_SPIDER_FINISHED_CODE = 2
    TASK_ETL_FINISHED_CODE = 3
    TASK_PUBLISHED_CODE = 4
    TASK_ILLEGAL_CODE = 95
    TASK_BAD_CATEGORY_CODE = 96
    TASK_EXIT_CODE = 97
    TASK_FAIL_CODE = 99
    TASK_PROCESSING_CODE = 101



