"""
@author: luojunhui
"""
import requests

from applications.const import server_const


async def forward_requests(params, api):
    """
    转发请求
    :return:
    """
    new_url = "http://{}:{}/{}".format(server_const.OLD_SERVER_INNER_IP, server_const.PORT, api)
    response = requests.post(
        url=new_url,
        headers={
            "Content-Type": "application/json",
        },
        json=params
    )
    return response.json()
