"""
@author: luojunhui
"""
import time
import datetime
import asyncio
from applications.db import AsyncMySQLClient
from tasks.rm_match_task import ReMatchTask


async def main_job():
    """
    main job
    :return:
    """
    async with AsyncMySQLClient() as long_articles_pool:
        new_content_id_task = ReMatchTask(long_articles_pool)
        await new_content_id_task.deal()


if __name__ == '__main__':
    asyncio.run(main_job())